#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './csddialogwidget.ui'
**
** Created: Sun Jul 2 18:47:21 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "csddialogwidget.h"

#include <qvariant.h>
#include <fftoptionswidget.h>
#include <vectorselector.h>
#include <curveplacementwidget.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qspinbox.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a CSDDialogWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CSDDialogWidget::CSDDialogWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "CSDDialogWidget" );
    CSDDialogWidgetLayout = new QGridLayout( this, 1, 1, 0, 0, "CSDDialogWidgetLayout"); 

    GroupBox9_3 = new QGroupBox( this, "GroupBox9_3" );
    GroupBox9_3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, GroupBox9_3->sizePolicy().hasHeightForWidth() ) );
    GroupBox9_3->setColumnLayout(0, Qt::Vertical );
    GroupBox9_3->layout()->setSpacing( 6 );
    GroupBox9_3->layout()->setMargin( 11 );
    GroupBox9_3Layout = new QGridLayout( GroupBox9_3->layout() );
    GroupBox9_3Layout->setAlignment( Qt::AlignTop );

    TextLabel1_6_2_4 = new QLabel( GroupBox9_3, "TextLabel1_6_2_4" );
    TextLabel1_6_2_4->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, TextLabel1_6_2_4->sizePolicy().hasHeightForWidth() ) );

    GroupBox9_3Layout->addWidget( TextLabel1_6_2_4, 0, 0 );

    _vector = new VectorSelector( GroupBox9_3, "_vector" );

    GroupBox9_3Layout->addWidget( _vector, 0, 1 );

    CSDDialogWidgetLayout->addWidget( GroupBox9_3, 0, 0 );

    _kstFFTOptions = new KstFFTOptions( this, "_kstFFTOptions" );

    CSDDialogWidgetLayout->addWidget( _kstFFTOptions, 2, 0 );

    buttonGroup2 = new QButtonGroup( this, "buttonGroup2" );
    buttonGroup2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, buttonGroup2->sizePolicy().hasHeightForWidth() ) );
    buttonGroup2->setColumnLayout(0, Qt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new QGridLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( Qt::AlignTop );

    textLabel1 = new QLabel( buttonGroup2, "textLabel1" );

    buttonGroup2Layout->addWidget( textLabel1, 0, 0 );

    _windowSize = new QSpinBox( buttonGroup2, "_windowSize" );
    _windowSize->setMaxValue( 999999999 );
    _windowSize->setMinValue( 1 );
    _windowSize->setValue( 500 );

    buttonGroup2Layout->addWidget( _windowSize, 0, 1 );
    spacer4 = new QSpacerItem( 210, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    buttonGroup2Layout->addItem( spacer4, 0, 2 );

    CSDDialogWidgetLayout->addWidget( buttonGroup2, 1, 0 );

    _curvePlacement = new CurvePlacementWidget( this, "_curvePlacement" );

    CSDDialogWidgetLayout->addWidget( _curvePlacement, 4, 0 );

    _imageOptionsGroup = new QButtonGroup( this, "_imageOptionsGroup" );
    _imageOptionsGroup->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, _imageOptionsGroup->sizePolicy().hasHeightForWidth() ) );
    _imageOptionsGroup->setColumnLayout(0, Qt::Vertical );
    _imageOptionsGroup->layout()->setSpacing( 6 );
    _imageOptionsGroup->layout()->setMargin( 11 );
    _imageOptionsGroupLayout = new QGridLayout( _imageOptionsGroup->layout() );
    _imageOptionsGroupLayout->setAlignment( Qt::AlignTop );

    layout47 = new QHBoxLayout( 0, 0, 6, "layout47"); 

    TextLabel4_3 = new QLabel( _imageOptionsGroup, "TextLabel4_3" );
    TextLabel4_3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, TextLabel4_3->sizePolicy().hasHeightForWidth() ) );
    TextLabel4_3->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    layout47->addWidget( TextLabel4_3 );

    _palette = new QComboBox( FALSE, _imageOptionsGroup, "_palette" );
    _palette->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, _palette->sizePolicy().hasHeightForWidth() ) );
    _palette->setEditable( FALSE );
    layout47->addWidget( _palette );

    _imageOptionsGroupLayout->addLayout( layout47, 0, 0 );

    CSDDialogWidgetLayout->addWidget( _imageOptionsGroup, 3, 0 );
    languageChange();
    resize( QSize(549, 462).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( _vector, _windowSize );
    setTabOrder( _windowSize, _palette );

    // buddies
    textLabel1->setBuddy( _windowSize );
    TextLabel4_3->setBuddy( _palette );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CSDDialogWidget::~CSDDialogWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CSDDialogWidget::languageChange()
{
    GroupBox9_3->setTitle( tr2i18n( "Source" ) );
    TextLabel1_6_2_4->setText( tr2i18n( "Data vector:" ) );
    buttonGroup2->setTitle( tr2i18n( "CSD Options" ) );
    textLabel1->setText( tr2i18n( "Window size:" ) );
    _imageOptionsGroup->setTitle( tr2i18n( "Image Options" ) );
    TextLabel4_3->setText( tr2i18n( "Color palette:" ) );
}

#include "csddialogwidget.moc"
