/****************************************************************************
** Form interface generated from reading ui file './datawizard.ui'
**
** Created: Sun Jul 2 18:46:27 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef DATAWIZARD_H
#define DATAWIZARD_H

#include <qvariant.h>
#include <kwizard.h>
#include "kstdatacollection.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QWidget;
class QLabel;
class KURLRequester;
class QPushButton;
class QLineEdit;
class QListView;
class QListViewItem;
class KstDataRange;
class QButtonGroup;
class QRadioButton;
class KstComboBox;
class VectorSelector;
class KstFFTOptions;
class QCheckBox;
class QListBox;
class QListBoxItem;
class QSpinBox;

class DataWizard : public KWizard
{
    Q_OBJECT

public:
    DataWizard( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~DataWizard();

    QWidget* _pageDataSource;
    QLabel* textLabel2;
    KURLRequester* _url;
    QLabel* _fileType;
    QPushButton* _testURL;
    QPushButton* _configureSource;
    QWidget* _pageVectors;
    QLineEdit* _vectorReduction;
    QPushButton* _vectorSearch;
    QPushButton* _checkVectors;
    QPushButton* _uncheckAll;
    QListView* _vectors;
    KstDataRange* _kstDataRange;
    QButtonGroup* buttonGroup5;
    QRadioButton* _radioButtonPlotDataPSD;
    QRadioButton* _radioButtonPlotData;
    QRadioButton* _radioButtonPlotPSD;
    QButtonGroup* _xAxisGroup;
    QRadioButton* _xAxisCreateFromField;
    QRadioButton* _xAxisUseExisting;
    KstComboBox* _xVector;
    VectorSelector* _xVectorExisting;
    KstFFTOptions* _kstFFTOptions;
    QCheckBox* _applyFilters;
    QWidget* _pageFilters;
    QPushButton* _newFilter;
    QListBox* _filterList;
    QLabel* textLabel4;
    QWidget* _pagePlot;
    QButtonGroup* _windowGroup;
    QRadioButton* _currentWindow;
    QRadioButton* _existingWindow;
    KstComboBox* _windowName;
    QRadioButton* _newWindow;
    QRadioButton* _newWindows;
    QLabel* _newWindowNameLabel;
    QLineEdit* _newWindowName;
    QButtonGroup* _plotGroup;
    QRadioButton* _onePlot;
    QRadioButton* _multiplePlots;
    QRadioButton* _cycleThrough;
    QSpinBox* _plotNumber;
    QRadioButton* _cycleExisting;
    QRadioButton* _existingPlot;
    KstComboBox* _existingPlotName;
    QButtonGroup* buttonGroup1;
    QRadioButton* _drawLines;
    QRadioButton* _drawBoth;
    QRadioButton* _drawPoints;
    QButtonGroup* buttonGroup3;
    QCheckBox* _xAxisLabels;
    QCheckBox* _yAxisLabels;
    QCheckBox* _plotTitles;
    QLabel* textLabel2_3;
    QButtonGroup* buttonGroup7;
    QRadioButton* _legendsOn;
    QRadioButton* _legendsOff;
    QRadioButton* _legendsAuto;
    QButtonGroup* _psdAxisGroup;
    QCheckBox* _psdLogX;
    QCheckBox* _psdLogY;
    QCheckBox* _reGrid;
    QLabel* _columnLabel;
    QSpinBox* _plotColumns;

    virtual bool xVectorOk();
    virtual bool yVectorsOk();
    virtual void showPage( QWidget * page );

public slots:
    virtual void setInput( const QString & input );

protected:
    QGridLayout* _pageDataSourceLayout;
    QSpacerItem* spacer0;
    QSpacerItem* spacer1;
    QSpacerItem* spacer2;
    QSpacerItem* spacer5;
    QHBoxLayout* unnamedLayout;
    QGridLayout* _pageVectorsLayout;
    QGridLayout* layout14;
    QVBoxLayout* layout53;
    QGridLayout* buttonGroup5Layout;
    QGridLayout* _xAxisGroupLayout;
    QGridLayout* _pageFiltersLayout;
    QSpacerItem* spacer7;
    QGridLayout* layout4;
    QSpacerItem* spacer6;
    QGridLayout* _pagePlotLayout;
    QVBoxLayout* _windowGroupLayout;
    QHBoxLayout* layout11;
    QHBoxLayout* layout13;
    QGridLayout* _plotGroupLayout;
    QHBoxLayout* layout5;
    QHBoxLayout* layout5_2;
    QGridLayout* buttonGroup1Layout;
    QVBoxLayout* buttonGroup3Layout;
    QHBoxLayout* layout20;
    QHBoxLayout* buttonGroup7Layout;
    QVBoxLayout* _psdAxisGroupLayout;
    QHBoxLayout* layout26;
    QSpacerItem* spacer31;

protected slots:
    virtual void languageChange();

private:
    static const QString& defaultTag;
    QString _file;
    bool _inTest;
    QGuardedPtr<QWidget> _configWidget;

private slots:
    virtual void init();
    virtual void destroy();
    virtual void xChanged();
    virtual void sourceChanged( const QString & txt );
    virtual void fieldListChanged();
    virtual void updateWindowBox();
    virtual void updateColumns();
    virtual void updatePlotBox();
    virtual void uncheckAll();
    virtual void vectorSubset( const QString & filter );
    virtual void checkSelected();
    virtual void newFilter();
    virtual void finished();
    virtual void applyFiltersChecked( bool on );
    virtual void enableXEntries();
    virtual void disableXEntries();
    virtual void enablePSDEntries();
    virtual void disablePSDEntries();
    virtual void _search();
    virtual void _disableWindowEntries();
    virtual void _enableWindowEntries();
    virtual void configureSource();
    virtual void plotColsChanged();
    virtual void markSourceAndSave();
    virtual void testURL();

};

#endif // DATAWIZARD_H
