/****************************************************************************
** Form interface generated from reading ui file './kstsettingsdlg.ui'
**
** Created: Sun Jul 2 18:46:27 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef KSTSETTINGSDLG_H
#define KSTSETTINGSDLG_H

#include <qvariant.h>
#include <qdialog.h>
#include <math.h>
#include <kdialog.h>
#include <kpalette.h>
#include "kstsettings.h"
#include "kstplotdefines.h"
#include "ktimezonecombo.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QPushButton;
class QTabWidget;
class QWidget;
class QCheckBox;
class QLabel;
class QSpinBox;
class KDualColorButton;
class QComboBox;
class QButtonGroup;
class KColorButton;
class QGroupBox;
class KDoubleNumInput;
class KTimezoneCombo;
class KComboBox;
class QLineEdit;
class QRadioButton;
class KIntSpinBox;

class KstSettingsDlg : public QDialog
{
    Q_OBJECT

public:
    KstSettingsDlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~KstSettingsDlg();

    QPushButton* _defaults;
    QPushButton* _apply;
    QPushButton* _close;
    QTabWidget* tabWidget2;
    QWidget* tab;
    QCheckBox* _promptWindowClose;
    QCheckBox* _showQuickStart;
    QLabel* textLabel2;
    QSpinBox* _timer;
    QLabel* textLabel2_3;
    QSpinBox* _fontSize;
    QLabel* textLabel1_2;
    KDualColorButton* _colors;
    QLabel* textLabel1_4;
    QComboBox* _comboBoxCurveColorSequence;
    QButtonGroup* buttonGroup6;
    QLabel* textLabel1_6;
    QCheckBox* _xMajorGrid;
    QCheckBox* _yMajorGrid;
    QLabel* textLabel2_2;
    KColorButton* _majorGridColor;
    QCheckBox* _checkBoxDefaultMajorGridColor;
    QLabel* textLabel1_6_2;
    QCheckBox* _xMinorGrid;
    QCheckBox* _yMinorGrid;
    QLabel* textLabel2_2_2;
    KColorButton* _minorGridColor;
    QCheckBox* _checkBoxDefaultMinorGridColor;
    QGroupBox* groupBox1;
    QCheckBox* _checkBoxXInterpret;
    QComboBox* _comboBoxXInterpret;
    QLabel* textLabel1_7;
    QComboBox* _comboBoxXDisplay;
    QLabel* textLabel1_8;
    KDoubleNumInput* _valueOffset;
    QLabel* textLabel1_5;
    KTimezoneCombo* _tz;
    QWidget* tab_2;
    QPushButton* _configureSource;
    KComboBox* _source;
    QLabel* textLabel1;
    QWidget* tab_3;
    QLabel* textLabel1_3;
    QLabel* textLabel1_2_2;
    QLabel* textLabel1_2_3;
    QLineEdit* _lineEditSender;
    QLineEdit* _lineEditHost;
    QCheckBox* _checkBoxAuthentication;
    QLabel* _textLabelEMailLogin;
    QButtonGroup* _buttonGroupAuthentication;
    QRadioButton* _radioButtonAuthenticationPlain;
    QRadioButton* _radioButtonAuthenticationLogin;
    QRadioButton* _radioButtonAuthenticationCramMD5;
    QRadioButton* _radioButtonAuthenticationDigestMD5;
    QButtonGroup* _buttonGroupEncryption;
    QRadioButton* _radioButtonEncryptionNone;
    QRadioButton* _radioButtonEncryptionSSL;
    QRadioButton* _radioButtonEncryptionTLS;
    QLabel* _textLabelEMailPassword;
    QLineEdit* _lineEditPassword;
    QLineEdit* _lineEditLogin;
    KIntSpinBox* _kIntSpinBoxEMailPort;

public slots:
    virtual void setSettings( const KstSettings * settings );
    virtual void updateAxesButtons();
    virtual void updateAxesSettings();
    virtual void updateEMailSettings();
    virtual void updateCurveColorSettings();
    virtual void fillAxesSettings();
    virtual void configureSource();
    virtual void sourceChanged( const QString & name );

signals:
    void settingsChanged();

protected:
    QGridLayout* KstSettingsDlgLayout;
    QHBoxLayout* layout6;
    QSpacerItem* spacer1;
    QGridLayout* tabLayout;
    QSpacerItem* spacer4_3;
    QSpacerItem* spacer4;
    QHBoxLayout* layout43;
    QSpacerItem* spacer9_2;
    QHBoxLayout* layout44;
    QSpacerItem* spacer5;
    QVBoxLayout* buttonGroup6Layout;
    QHBoxLayout* layout194;
    QSpacerItem* spacer152;
    QHBoxLayout* layout193;
    QSpacerItem* spacer153;
    QHBoxLayout* groupBox1Layout;
    QSpacerItem* spacer131;
    QHBoxLayout* layout7;
    QSpacerItem* spacer4_2;
    QGridLayout* tabLayout_2;
    QSpacerItem* spacer9;
    QGridLayout* tabLayout_3;
    QSpacerItem* spacer11;
    QVBoxLayout* _buttonGroupAuthenticationLayout;
    QVBoxLayout* _buttonGroupEncryptionLayout;

protected slots:
    virtual void languageChange();

private:
    virtual int utcOffset(const QString & timezone);
    virtual QString timezoneFromUTCOffset(double hours);

private slots:
    virtual void init();
    virtual void defaults();
    virtual void setDirty();
    virtual void setClean();
    virtual void save();
    virtual void updateUTCOffset();
    virtual void setUTCOffset(const QString &);
    virtual void updateTimezone(double hours);
    virtual void updateTimezone(const QString & hours);

};

#endif // KSTSETTINGSDLG_H
