#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './matrixselector.ui'
**
** Created: Sun Jul 2 18:47:27 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "matrixselector.h"

#include <qvariant.h>
#include <qlistbox.h>
#include <qtimer.h>
#include <qcombobox.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "dialoglauncher.h"
#include "./matrixselector.ui.h"
static const char* const img0_matrixselector[] = { 
"22 22 13 1",
". c None",
"# c #800080",
"a c #f7941d",
"e c #f7d11d",
"d c #ffff1a",
"b c #ffff32",
"g c #ffff5d",
"c c #ffff66",
"h c #ffff8c",
"f c #ffff98",
"i c #ffffb6",
"j c #ffffcc",
"k c #ffffff",
"......................",
"......................",
"..###a.####.####.####.",
"..#.aba#..#.#..#.#..#.",
".aa.aca#aa#.#..#.#..#.",
"adeaefeaeda.####.####.",
".aghijihga............",
"..aejkjea##.####.####.",
"..aejkjea.#.#..#.#..#.",
".aghijihga#.#..#.#..#.",
"adeaefeaeda.####.####.",
".aa.aca.aa............",
"..##aba####.####.####.",
"..#..a.#..#.#..#.#..#.",
"..#..#.#..#.#..#.#..#.",
"..####.####.####.####.",
"......................",
"..####.####.####.####.",
"..#..#.#..#.#..#.#..#.",
"..#..#.#..#.#..#.#..#.",
"..####.####.####.####.",
"......................"};

static const char* const img1_matrixselector[] = { 
"22 22 14 1",
". c None",
"k c None",
"g c #303030",
"h c #404000",
"j c #585858",
"b c #800080",
"l c #808080",
"# c #945531",
"i c #bd8d6a",
"d c #c5854a",
"f c #de6908",
"a c #f6b27b",
"e c #ff8d08",
"c c #ffd2ac",
"......................",
"#.....................",
"a#bbbb.bbbb.bbbb.bbbb.",
"cad..b.b..b.b..b.b..b.",
"ecdd.b.b..b.b..b.b..b.",
"eecaab.bbbb.bbbb.bbbb.",
"eeaaad................",
"eeaacc.bbbb.bbbb.bbbb.",
"ffaacccb..b.b..b.b..b.",
"g#dacccb..b.b..b.b..b.",
".h##dcccbbb.bbbb.bbbb.",
"...##dcc..............",
"..bbb#iijbb.bbbb.bbbb.",
"k.b..bggjlb.b..b.b..b.",
"k.b..b.ggjb.b..b.b..b.",
"k.bbbb.bbgb.bbbb.bbbb.",
"k.....................",
"k.bbbb.bbbb.bbbb.bbbb.",
"k.b..b.b..b.b..b.b..b.",
"k.b..b.b..b.b..b.b..b.",
"k.bbbb.bbbb.bbbb.bbbb.",
"k....................."};


/*
 *  Constructs a MatrixSelector as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
MatrixSelector::MatrixSelector( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl ),
      image0( (const char **) img0_matrixselector ),
      image1( (const char **) img1_matrixselector )
{
    if ( !name )
	setName( "MatrixSelector" );
    MatrixSelectorLayout = new QGridLayout( this, 1, 1, 0, 6, "MatrixSelectorLayout"); 

    _matrix = new QComboBox( FALSE, this, "_matrix" );

    MatrixSelectorLayout->addWidget( _matrix, 0, 0 );

    _newMatrix = new QPushButton( this, "_newMatrix" );
    _newMatrix->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, _newMatrix->sizePolicy().hasHeightForWidth() ) );
    _newMatrix->setPixmap( image0 );

    MatrixSelectorLayout->addWidget( _newMatrix, 0, 1 );

    _editMatrix = new QPushButton( this, "_editMatrix" );
    _editMatrix->setEnabled( FALSE );
    _editMatrix->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, _editMatrix->sizePolicy().hasHeightForWidth() ) );
    _editMatrix->setPixmap( image1 );

    MatrixSelectorLayout->addWidget( _editMatrix, 0, 2 );
    languageChange();
    resize( QSize(327, 40).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( this, SIGNAL( selectionChanged(const QString&) ), this, SLOT( selectionWatcher(const QString&) ) );
    connect( _editMatrix, SIGNAL( clicked() ), this, SLOT( editMatrix() ) );
    connect( _newMatrix, SIGNAL( clicked() ), this, SLOT( createNewMatrix() ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
MatrixSelector::~MatrixSelector()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MatrixSelector::languageChange()
{
    QWhatsThis::add( this, tr2i18n( "Select a matrix to utilize.  If you wish to create a new matrix, click on the icon to the right." ) );
    _newMatrix->setText( QString::null );
    QToolTip::add( _newMatrix, tr2i18n( "Create a new matrix" ) );
    _editMatrix->setText( QString::null );
    QToolTip::add( _editMatrix, tr2i18n( "Edit selected matrix" ) );
}

#include "matrixselector.moc"
