#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './stringselector.ui'
**
** Created: Sun Jul 2 18:47:27 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "stringselector.h"

#include <qvariant.h>
#include <qlineedit.h>
#include <qvalidator.h>
#include <kmessagebox.h>
#include <qlistbox.h>
#include <qtimer.h>
#include <qcombobox.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "stringeditor.h"
#include "./stringselector.ui.h"
static const char* const img0_stringselector[] = { 
"16 16 6 1",
". c None",
"a c #000000",
"b c #010101",
"d c #080808",
"c c #131313",
"# c #800080",
"................",
"...##.......##..",
"..##.........##.",
"..#...........#.",
".##...aa..aa..##",
".##..aaaaaaab.##",
".#...c..aa.aa..#",
".#......ad.....#",
".#......a......#",
".#.....da......#",
".#..aa.aa..c...#",
".##.aaaaaaaa..##",
".##..aa..aa...##",
"..#...........#.",
"..##.........##.",
"...##.......##.."};


/*
 *  Constructs a StringSelector as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
StringSelector::StringSelector( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl ),
      image0( (const char **) img0_stringselector )
{
    if ( !name )
	setName( "StringSelector" );
    StringSelectorLayout = new QHBoxLayout( this, 0, 6, "StringSelectorLayout"); 

    _string = new QComboBox( FALSE, this, "_string" );
    StringSelectorLayout->addWidget( _string );

    _newString = new QPushButton( this, "_newString" );
    _newString->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, _newString->sizePolicy().hasHeightForWidth() ) );
    _newString->setPixmap( image0 );
    StringSelectorLayout->addWidget( _newString );
    languageChange();
    resize( QSize(328, 32).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( _newString, SIGNAL( clicked() ), this, SLOT( createNewString() ) );
    connect( _string, SIGNAL( activated(const QString&) ), this, SLOT( selectionWatcher(const QString&) ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
StringSelector::~StringSelector()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void StringSelector::languageChange()
{
    QWhatsThis::add( this, tr2i18n( "Select a string to utilize.  If you wish to create a new string, select the icon to the right." ) );
    _newString->setText( QString::null );
    QToolTip::add( _newString, tr2i18n( "Create a new string." ) );
}

#include "stringselector.moc"
