#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './vectorselector.ui'
**
** Created: Sun Jul 2 18:47:27 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "vectorselector.h"

#include <qvariant.h>
#include <qlistbox.h>
#include <qtimer.h>
#include <qcombobox.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "kstrvector.h"
#include "kstsvector.h"
#include "dialoglauncher.h"
#include "./vectorselector.ui.h"
static const char* const img0_vectorselector[] = { 
"22 22 13 1",
". c None",
"a c #800000",
"# c #f7941d",
"e c #f7d11d",
"d c #ffff1a",
"b c #ffff32",
"g c #ffff5d",
"c c #ffff66",
"h c #ffff8c",
"f c #ffff98",
"i c #ffffb6",
"j c #ffffcc",
"k c #ffffff",
"......................",
"......................",
"......................",
"......#...........a...",
".....#b#aaaaaaaaaaaa..",
"..##.#c#.##.......a...",
".#de#efe#ed#..........",
"..#ghijihg#.....aaa...",
"...#ejkje#a.....aa....",
"...#ejkje#aa...aa.....",
"..#ghijihg#a..aa......",
".#de#efe#ed#a.a.......",
"..##.#c#.##aaa........",
".....#b#....aa........",
"......#....aaaa.......",
"..........aa.aa.......",
"..........a...aa......",
".........aa...aaa.....",
"........aa.....aaa....",
".......aaaa....aaaa...",
"......................",
"......................"};

static const char* const img1_vectorselector[] = { 
"22 22 13 1",
". c None",
"g c #303030",
"h c #404000",
"j c #585858",
"d c #800000",
"k c #808080",
"# c #945531",
"i c #bd8d6a",
"c c #c5854a",
"f c #de6908",
"a c #f6b27b",
"e c #ff8d08",
"b c #ffd2ac",
"......................",
"#.....................",
"a#....................",
"bac...............d...",
"ebcc..dddddddddddddd..",
"eebaa.............d...",
"eeaaac................",
"eeaabb.dddd.....ddd...",
"ffaabbb.ddd.....dd....",
"g#cabbb..ddd...dd.....",
".h##cbbb..dd..dd......",
"...##cbb...dd.d.......",
".....#iij..ddd........",
"......ggjk..dd........",
".......ggj.dddd.......",
".........gdd.dd.......",
"..........d...dd......",
".........dd...ddd.....",
"........dd.....ddd....",
".......dddd....dddd...",
"......................",
"......................"};


/*
 *  Constructs a VectorSelector as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
VectorSelector::VectorSelector( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl ),
      image0( (const char **) img0_vectorselector ),
      image1( (const char **) img1_vectorselector )
{
    if ( !name )
	setName( "VectorSelector" );
    VectorSelectorLayout = new QHBoxLayout( this, 0, 6, "VectorSelectorLayout"); 

    _vector = new QComboBox( FALSE, this, "_vector" );
    VectorSelectorLayout->addWidget( _vector );

    _newVector = new QPushButton( this, "_newVector" );
    _newVector->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, _newVector->sizePolicy().hasHeightForWidth() ) );
    _newVector->setPixmap( image0 );
    VectorSelectorLayout->addWidget( _newVector );

    _editVector = new QPushButton( this, "_editVector" );
    _editVector->setEnabled( FALSE );
    _editVector->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, _editVector->sizePolicy().hasHeightForWidth() ) );
    _editVector->setPixmap( image1 );
    VectorSelectorLayout->addWidget( _editVector );
    languageChange();
    resize( QSize(326, 38).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( _newVector, SIGNAL( clicked() ), this, SLOT( createNewVector() ) );
    connect( _editVector, SIGNAL( clicked() ), this, SLOT( editVector() ) );
    connect( this, SIGNAL( selectionChanged(const QString&) ), this, SLOT( selectionWatcher(const QString&) ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
VectorSelector::~VectorSelector()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void VectorSelector::languageChange()
{
    QWhatsThis::add( this, tr2i18n( "Select a vector to utilize.  If you wish to create a new vector, click on the icon to the right." ) );
    _newVector->setText( QString::null );
    QToolTip::add( _newVector, tr2i18n( "Create a new vector." ) );
    QWhatsThis::add( _newVector, tr2i18n( "Opens a vector dialog to create a new vector, which will become the selected vector." ) );
    _editVector->setText( QString::null );
    QToolTip::add( _editVector, tr2i18n( "Edit selected vector." ) );
    QWhatsThis::add( _editVector, tr2i18n( "Opens a vector dialog to edit selected vector." ) );
}

#include "vectorselector.moc"
