#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './imagedialogwidget.ui'
**
** Created: Sun Jul 2 18:47:22 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "imagedialogwidget.h"

#include <qvariant.h>
#include <matrixselector.h>
#include <curveplacementwidget.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qlabel.h>
#include <kcolorbutton.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qradiobutton.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kcolorbutton.h"
#include "curveplacementwidget.h"
#include "matrixselector.h"

/*
 *  Constructs a ImageDialogWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ImageDialogWidget::ImageDialogWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ImageDialogWidget" );
    ImageDialogWidgetLayout = new QGridLayout( this, 1, 1, 0, 0, "ImageDialogWidgetLayout"); 

    _contourMapGroup = new QButtonGroup( this, "_contourMapGroup" );
    _contourMapGroup->setColumnLayout(0, Qt::Vertical );
    _contourMapGroup->layout()->setSpacing( 6 );
    _contourMapGroup->layout()->setMargin( 11 );
    _contourMapGroupLayout = new QGridLayout( _contourMapGroup->layout() );
    _contourMapGroupLayout->setAlignment( Qt::AlignTop );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    textLabel2_3 = new QLabel( _contourMapGroup, "textLabel2_3" );
    textLabel2_3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, textLabel2_3->sizePolicy().hasHeightForWidth() ) );
    layout7->addWidget( textLabel2_3 );

    _contourColor = new KColorButton( _contourMapGroup, "_contourColor" );
    _contourColor->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    _contourColor->setColor( QColor( 0, 0, 0 ) );
    layout7->addWidget( _contourColor );

    _contourMapGroupLayout->addLayout( layout7, 0, 2 );

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 

    textLabel1_3 = new QLabel( _contourMapGroup, "textLabel1_3" );
    textLabel1_3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, textLabel1_3->sizePolicy().hasHeightForWidth() ) );
    layout6->addWidget( textLabel1_3 );

    _numContourLines = new QSpinBox( _contourMapGroup, "_numContourLines" );
    _numContourLines->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, _numContourLines->sizePolicy().hasHeightForWidth() ) );
    _numContourLines->setMaxValue( 10 );
    _numContourLines->setMinValue( 1 );
    layout6->addWidget( _numContourLines );

    _contourMapGroupLayout->addMultiCellLayout( layout6, 0, 0, 0, 1 );

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    textLabel1 = new QLabel( _contourMapGroup, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    layout8->addWidget( textLabel1 );

    _contourWeight = new QSpinBox( _contourMapGroup, "_contourWeight" );
    _contourWeight->setButtonSymbols( QSpinBox::UpDownArrows );
    _contourWeight->setMaxValue( 5 );
    layout8->addWidget( _contourWeight );

    _contourMapGroupLayout->addLayout( layout8, 1, 0 );

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    _useVariableWeight = new QCheckBox( _contourMapGroup, "_useVariableWeight" );
    layout9->addWidget( _useVariableWeight );
    spacer2 = new QSpacerItem( 76, 25, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9->addItem( spacer2 );

    _contourMapGroupLayout->addMultiCellLayout( layout9, 1, 1, 1, 2 );

    ImageDialogWidgetLayout->addWidget( _contourMapGroup, 3, 0 );

    _curvePlacement = new CurvePlacementWidget( this, "_curvePlacement" );
    _curvePlacement->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, _curvePlacement->sizePolicy().hasHeightForWidth() ) );

    ImageDialogWidgetLayout->addWidget( _curvePlacement, 4, 0 );

    _imageTypeGroup = new QButtonGroup( this, "_imageTypeGroup" );
    _imageTypeGroup->setColumnLayout(0, Qt::Vertical );
    _imageTypeGroup->layout()->setSpacing( 6 );
    _imageTypeGroup->layout()->setMargin( 11 );
    _imageTypeGroupLayout = new QGridLayout( _imageTypeGroup->layout() );
    _imageTypeGroupLayout->setAlignment( Qt::AlignTop );

    _colorOnly = new QRadioButton( _imageTypeGroup, "_colorOnly" );
    _colorOnly->setChecked( TRUE );

    _imageTypeGroupLayout->addWidget( _colorOnly, 0, 0 );

    _contourOnly = new QRadioButton( _imageTypeGroup, "_contourOnly" );

    _imageTypeGroupLayout->addWidget( _contourOnly, 0, 1 );

    _colorAndContour = new QRadioButton( _imageTypeGroup, "_colorAndContour" );

    _imageTypeGroupLayout->addWidget( _colorAndContour, 0, 2 );

    ImageDialogWidgetLayout->addWidget( _imageTypeGroup, 1, 0 );

    _colorMapGroup = new QButtonGroup( this, "_colorMapGroup" );
    _colorMapGroup->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, _colorMapGroup->sizePolicy().hasHeightForWidth() ) );
    _colorMapGroup->setColumnLayout(0, Qt::Vertical );
    _colorMapGroup->layout()->setSpacing( 6 );
    _colorMapGroup->layout()->setMargin( 11 );
    _colorMapGroupLayout = new QGridLayout( _colorMapGroup->layout() );
    _colorMapGroupLayout->setAlignment( Qt::AlignTop );
    spacer146 = new QSpacerItem( 210, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    _colorMapGroupLayout->addItem( spacer146, 2, 1 );

    _realTimeAutoThreshold = new QCheckBox( _colorMapGroup, "_realTimeAutoThreshold" );

    _colorMapGroupLayout->addWidget( _realTimeAutoThreshold, 2, 0 );

    layout10 = new QGridLayout( 0, 1, 1, 0, 6, "layout10"); 

    _autoThreshold = new QPushButton( _colorMapGroup, "_autoThreshold" );

    layout10->addMultiCellWidget( _autoThreshold, 0, 1, 1, 1 );

    layout67 = new QHBoxLayout( 0, 0, 6, "layout67"); 

    textLabel2 = new QLabel( _colorMapGroup, "textLabel2" );
    layout67->addWidget( textLabel2 );

    _upperZ = new QLineEdit( _colorMapGroup, "_upperZ" );
    _upperZ->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, _upperZ->sizePolicy().hasHeightForWidth() ) );
    layout67->addWidget( _upperZ );

    layout10->addLayout( layout67, 1, 0 );

    layout66 = new QHBoxLayout( 0, 0, 6, "layout66"); 

    textLabel2_4 = new QLabel( _colorMapGroup, "textLabel2_4" );
    layout66->addWidget( textLabel2_4 );

    _lowerZ = new QLineEdit( _colorMapGroup, "_lowerZ" );
    _lowerZ->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, _lowerZ->sizePolicy().hasHeightForWidth() ) );
    layout66->addWidget( _lowerZ );

    layout10->addLayout( layout66, 0, 0 );

    _colorMapGroupLayout->addMultiCellLayout( layout10, 1, 1, 0, 1 );

    layout28 = new QHBoxLayout( 0, 0, 6, "layout28"); 

    TextLabel4_3 = new QLabel( _colorMapGroup, "TextLabel4_3" );
    TextLabel4_3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, TextLabel4_3->sizePolicy().hasHeightForWidth() ) );
    TextLabel4_3->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    layout28->addWidget( TextLabel4_3 );

    _palette = new QComboBox( FALSE, _colorMapGroup, "_palette" );
    _palette->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, _palette->sizePolicy().hasHeightForWidth() ) );
    _palette->setEditable( FALSE );
    layout28->addWidget( _palette );

    _paletteDisplay = new QLabel( _colorMapGroup, "_paletteDisplay" );
    layout28->addWidget( _paletteDisplay );

    _colorMapGroupLayout->addMultiCellLayout( layout28, 0, 0, 0, 1 );

    ImageDialogWidgetLayout->addWidget( _colorMapGroup, 2, 0 );

    _matrixGroup = new QButtonGroup( this, "_matrixGroup" );
    _matrixGroup->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, _matrixGroup->sizePolicy().hasHeightForWidth() ) );
    _matrixGroup->setColumnLayout(0, Qt::Vertical );
    _matrixGroup->layout()->setSpacing( 6 );
    _matrixGroup->layout()->setMargin( 11 );
    _matrixGroupLayout = new QGridLayout( _matrixGroup->layout() );
    _matrixGroupLayout->setAlignment( Qt::AlignTop );

    _matrix = new MatrixSelector( _matrixGroup, "_matrix" );
    _matrix->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, _matrix->sizePolicy().hasHeightForWidth() ) );

    _matrixGroupLayout->addWidget( _matrix, 0, 1 );

    textLabel3 = new QLabel( _matrixGroup, "textLabel3" );
    textLabel3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)1, 0, 0, textLabel3->sizePolicy().hasHeightForWidth() ) );

    _matrixGroupLayout->addWidget( textLabel3, 0, 0 );

    ImageDialogWidgetLayout->addWidget( _matrixGroup, 0, 0 );
    languageChange();
    resize( QSize(471, 528).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( _matrix, _colorOnly );
    setTabOrder( _colorOnly, _palette );
    setTabOrder( _palette, _lowerZ );
    setTabOrder( _lowerZ, _upperZ );
    setTabOrder( _upperZ, _autoThreshold );
    setTabOrder( _autoThreshold, _realTimeAutoThreshold );
    setTabOrder( _realTimeAutoThreshold, _numContourLines );
    setTabOrder( _numContourLines, _contourColor );
    setTabOrder( _contourColor, _contourWeight );
    setTabOrder( _contourWeight, _useVariableWeight );
    setTabOrder( _useVariableWeight, _curvePlacement );

    // buddies
    textLabel2_3->setBuddy( _contourColor );
    textLabel1_3->setBuddy( _numContourLines );
    textLabel1->setBuddy( _contourWeight );
    textLabel2->setBuddy( _upperZ );
    textLabel2_4->setBuddy( _lowerZ );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ImageDialogWidget::~ImageDialogWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ImageDialogWidget::languageChange()
{
    setCaption( tr2i18n( "ImageDialogWidget" ) );
    _contourMapGroup->setTitle( tr2i18n( "Contour Map Parameters" ) );
    textLabel2_3->setText( tr2i18n( "Color:" ) );
    _contourColor->setText( QString::null );
    textLabel1_3->setText( tr2i18n( "Number of contour levels:" ) );
    textLabel1->setText( tr2i18n( "Weight:" ) );
    _useVariableWeight->setText( tr2i18n( "Use &variable line weight" ) );
    _imageTypeGroup->setTitle( tr2i18n( "Image Type" ) );
    _colorOnly->setText( tr2i18n( "Co&lor map" ) );
    _contourOnly->setText( tr2i18n( "Con&tour map" ) );
    _colorAndContour->setText( tr2i18n( "Color Map and Contour &Map" ) );
    _colorMapGroup->setTitle( tr2i18n( "Color Map Parameters" ) );
    _realTimeAutoThreshold->setText( tr2i18n( "&Real-time auto threshold" ) );
    _autoThreshold->setText( tr2i18n( "&Auto Threshold" ) );
    textLabel2->setText( tr2i18n( "Upper Z threshold:" ) );
    textLabel2_4->setText( tr2i18n( "Lower Z threshold:" ) );
    TextLabel4_3->setText( tr2i18n( "Color palette:" ) );
    _paletteDisplay->setText( QString::null );
    _matrixGroup->setTitle( tr2i18n( "Matrix Selection" ) );
    textLabel3->setText( tr2i18n( "Matrix:" ) );
}

#include "imagedialogwidget.moc"
